Subject: [bug#31297] [PATCH] gnu: Add sound service.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 01 May 2018 22:03:52 +0200

Hello Oleg,

Oleg Pykhalov <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Oleg Pykhalov <[email-masked]> skribis:
>>
>>> * gnu/services/sound.scm: New file.
>>> * gnu/local.mk (GNU_SYSTEM_MODULES): Add this.
>>> * doc/guix.texi (Sound Services): New chapter.
>>
>> [...]
>>
>>> +@node Sound Services
>>> +@subsubsection Sound Services
>>> +
>>> +The @code{(gnu services alsa)} module provides an
>>> +@code{alsa-service-type} service to generate an ALSA
>>> +@file{/etc/asound.conf} configuration file.
>>
>> Is this file required to get PulseAudio support?  I realize I have
>> ~/.asoundrc that’s similar to what this new service does, so it may be
>> that I simply forgot that things wouldn’t work well without it.
>
> In case of existing ‘~/.asoundrc’ it's not required.  But I spent some
> time to find a ‘asoundrc’ config and be glad if it was in a Guix manual.

Right, I agree.

> From 460fa678823a7cf3d2869a3e4beafb22e5a313fa Mon Sep 17 00:00:00 2001
> From: Oleg Pykhalov <[email-masked]>
> Date: Sat, 28 Apr 2018 13:30:20 +0300
> Subject: [PATCH] gnu: Add sound service.
>
> * gnu/services/sound.scm: New file.
> * gnu/local.mk (GNU_SYSTEM_MODULES): Add this.
> * doc/guix.texi (Sound Services): New chapter.

[...]

> +@node Sound Services
> +@subsubsection Sound Services
> +

Maybe add “@cindex sound support”, “@cindex ALSA”, and
“@cindex PulseAudio, sound support”.

> +The @code{(gnu services alsa)} module provides an
                           ^^
“sound”

> +@code{alsa-service-type} service to generate an ALSA
> +@file{/etc/asound.conf} configuration file.

Perhaps add a sentence like: “This configuration file is what allows
applications that produce sound using ALSA to be correctly handled.”

> +@deftp {Data Type} alsa-configuration
> +Data type representing the configuration for @code{alsa-service}.
> +
> +@table @asis
> +@item @code{pulseaudio?} (default: @var{#t})
> +Whether to use Pulseaudio by configuring ALSA to use PulseAudio.

“Whether ALSA applications should transparently be made to use the
@uref{http://www.pulseaudio.org/, PulseAudio} sound server.

Using PulseAudio allows you to run several sound-producing applications
at the same time and to individual control them @i{via}
@command{pavucontrol}, among other things.”

> +@item @code{extra-options} (default: @var{#f})

default: @code{""}

> +Extra options is a string which will be appended to asound.conf file.

Just: “String to append to the @file{asound.conf} file.”

Apologies for not catching those earlier!

You can push with changes along these lines.

Thank you!

Ludo’.